#
# spec file for package tree-sitter-html
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name html
Summary:        HTML grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.20.2
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-html
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%files
%{treesitter_files}

%changelog
* Mon Mar 25 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.20.2:
  * fix: silence warning about using `&&` without parenthesis
  * Extract helper function for popping and freeing tags
  * feat: convert scanner to use `array.h` header
  * Make TAG_TYPES_BY_TAG_NAME static
  * feat: support omitted `html`, `head`, and `body` end tags
  * ci: remove travis configuration file
  * ci: bump actions/checkout from 3 to 4
  * ci: bump actions/setup-node from 3 to 4
  * ci: add dependabot
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.1:
  * chore: generate
  * fix: semicolons are optional in entities
  * refactor!: rename `fragment` to `document`
  * docs: update badges
  * chore(scanner): explicit cast to silence warning
  * fix(swift): remove reference to non-existent directory
  * ci: tune when to run
  * ci: add release action
